Skip to main content
GET
/
api
/
v1
/
watchlists
/
default-watchlists
/
items
Get default watchlist items
curl --request GET \
  --url https://public-api.etoro.com/api/v1/watchlists/default-watchlists/items \
  --header 'x-api-key: <x-api-key>' \
  --header 'x-request-id: <x-request-id>' \
  --header 'x-user-key: <x-user-key>'
[
  {
    "itemId": 12345,
    "itemType": "Instrument",
    "itemRank": 1,
    "itemAddedReason": "Manual",
    "itemAddedDate": "2023-11-07T05:31:56Z",
    "market": {
      "id": "<string>",
      "symbolName": "<string>",
      "displayName": "<string>",
      "assetTypeId": 123,
      "assetTypeSubCategoryId": 123,
      "exchangeId": 123,
      "hasExpirationDate": true,
      "avatar": {
        "small": "<string>",
        "medium": "<string>",
        "large": "<string>",
        "svg": {
          "url": "<string>",
          "backgroundColor": "<string>",
          "textColor": "<string>"
        }
      }
    }
  }
]

Headers

x-request-id
string<uuid>
required

A unique request identifier.

Example:

"f2bbd30a-cf55-4502-89ef-d125b5758f03"

x-api-key
string<password>
required

API key for authentication.

Example:

"lhgfaslk21490FAScVPkdsb53F9dNkfHG4faZSG5vfjndfcfgdssdgsdHF4663"

x-user-key
string<password>
required

User-specific authentication key.

Example:

"eyJlYW4iOiJVbnJlZ2lzdGVyZWRBcHBsaWNhdGlvbiIsImVrIjoiOE5sZ2cwcW5EUVdROUFNWGpXT2lmOWktZnpidG5KcUlqWGJ3WHJZZkpZcldrbG90ZEhvLVBjSWhQaU8xU1ZtMW84aU1WZGZqN2xWNzFjLXFxLmcybXE1dnh4Q1hUT25xaWRUaTFlcEhmVk1fIn0_"

Query Parameters

itemsLimit
integer<int32>

Maximum number of items to return

itemsPerPage
integer<int32>
default:100

Number of items per page for pagination

Response

200 - application/json

Successfully retrieved default watchlist items

itemId
integer<int32>
required

Unique identifier of the financial instrument

Example:

12345

itemType
string
required

Type of the financial instrument (e.g., 'Instrument', 'Person')

Example:

"Instrument"

itemRank
integer<int32>
default:0

Ranking position of the item in the watchlist

Example:

1

itemAddedReason
string

Reason the item was added to the watchlist

Example:

"Manual"

itemAddedDate
string<date-time>

Date and time the item was added

market
object

Market metadata for the instrument when included